Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class ClassLoading

    java.lang.Object
      org.jboss.util.ClassLoading

public class ClassLoading
extends Object

Reflection utility.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Constructor Summary
`ClassLoading()`

Method Summary
`static Set` | `getClassLoaderPackages(ClassLoader cl)`
`static Set` | `getClassLoaderSpecificPackages(ClassLoader cl)`
`static String` | `getPackageName(String className)`
`static Set` | `getSystemPackages()`
`static Class` | `loadClass(boolean trace, String ctx, ClassLoader cl, String name)`
`static Class` | `loadClass(ClassLoader cl, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoading

    public ClassLoading()

Method Detail

### loadClass

    public static Class loadClass(ClassLoader cl,
                                  String name)
                           throws Exception

  Throws:
    `Exception`

### loadClass

    public static Class loadClass(boolean trace,
                                  String ctx,
                                  ClassLoader cl,
                                  String name)
                           throws Exception

  Throws:
    `Exception`

### getClassLoaderSpecificPackages

    public static Set getClassLoaderSpecificPackages(ClassLoader cl)

### getSystemPackages

    public static Set getSystemPackages()

### getClassLoaderPackages

    public static Set getClassLoaderPackages(ClassLoader cl)

### getPackageName

    public static String getPackageName(String className)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.